## cardstories 1.0.2

=== tests/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
all:

check:
	python-coverage -e
	PYTHONPATH=.. python-coverage -x test_auth.py
	PYTHONPATH=.. python-coverage -x test_service.py
	PYTHONPATH=.. python-coverage -x test_site.py
	PYTHONPATH=.. python-coverage -x test_tap.py
	PYTHONPATH=.. python-coverage -x test_game.py
	PYTHONPATH=.. python-coverage -x test_poll.py
	python-coverage -m -a -r ../cardstories/*.py

clean:
	rm -fr .coverage _trial_temp*

=== debian/changelog ===
cardstories (1.0.2-1) unstable; urgency=low

  * upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 25 Apr 2011 19:58:03 +0200

cardstories (1.0.1-1) unstable; urgency=low

  * switch to dh_python2 as explained in 
    http://wiki.debian.org/Python/PythonSupportToDHPython2

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 25 Apr 2011 12:11:01 +0200

cardstories (1.0.0-1) unstable; urgency=low

  * cardstories ITP (Closes: #623810).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 23 Apr 2011 15:45:44 +0200

=== debian/control ===
Source: cardstories
Section: python
Priority: optional
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               po-debconf,
               python-all (>= 2.6.6-2~),
               python-coverage,
               python-twisted-web (>= 10.1),
               python-twisted-mail,
               jscoverage
Standards-Version: 3.9.2
Vcs-Git: http://cardstori.es/cardstories.git
Vcs-Browser: http://cardstori.es/trac/browser
Homepage: http://cardstori.es/
X-Python-Version: all

Package: python-cardstories
Section: python
Architecture: all
Depends: ${misc:Depends},
         adduser,
         python-twisted-web (>= 10.1),
         python-twisted-mail,
         python-openssl,
         ${python:Depends}
Provides: ${python:Provides}
Description: Find out a card using a sentence made up by another player
 A player (who we will call the author) creates a new game. 
 He chooses a card, picks a word or a sentence to describe it
 and invites players to participate.
 Each players is given seven cards and are required to pick
 one that best matches the author's sentence.
 Once enough players have chosen a card, the author displays all chosen
 cards and the players try to figure out which one is the author's.
 The author wins if at least one of the players guesses right, but not all
 of them do. The winners are the author and the players who guessed right. 
 If the author loses, all the other players win.

## cardstories 1.0.3

=== debian/changelog ===
cardstories (1.0.3-1) unstable; urgency=low

  * upstream release
  * add apache configuration
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #627277
  * [Debconf translation updates]
  * Japanese (Hideki Yamane).  Closes: #626376
  * Russian (Yuri Kozlov).  Closes: #627682
  * Danish (Joe Hansen).  Closes: #627707
  * Portuguese (Rui Branco).  Closes: #627725
  * Czech (Michal Simunek).  Closes: #627802
  * Swedish (Martin Bagge / brother).  Closes: #627852
  * Dutch; (Jeroen Schot).  Closes: #628098
  * French (Julien Patriarca).  Closes: #628366
  * German (Holger Wansing).  Closes: #628625
  * Spanish; (Francisco Javier Cuadrado).  Closes: #629063
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #629241
  * Remove SSL support until python openssl is fixed (Closes: #628249).
  * section changed to games (Closes: #627180).
  * depends on httpd or nginx (Closes: #627181).

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 26 May 2011 14:25:17 +0200

=== debian/control ===
Source: cardstories
Section: games
Priority: optional
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               po-debconf,
               python-all (>= 2.6.6-2~),
               python-lxml,
               python-coverage,
               python-twisted-web (>= 10.1),
               python-twisted-mail,
               python-twisted-conch,
               jscoverage
Standards-Version: 3.9.2
Vcs-Git: http://cardstori.es/cardstories.git
Vcs-Browser: http://cardstori.es/trac/browser
Homepage: http://cardstori.es/
X-Python-Version: all

Package: cardstories
Section: games
Architecture: all
Replaces: python-cardstories
Conflicts: python-cardstories
Depends: ${misc:Depends},
         adduser,
         nginx | httpd,
         python-twisted-web (>= 10.1),
         python-twisted-mail,
         python-lxml,
         python-openssl,
         ${python:Depends}
Provides: ${python:Provides}
Description: multiplayer online card guessing game
 This package provides a server for a networked guessing game using
 picture cards. One player (the "author") creates the game by choosing
 a card, picking a word or a sentence to describe it, and sending out
 invitations to others to participate.
 .
 Each of these players receives seven cards and has to pick
 one that best matches the author's description.
 .
 Once enough players have chosen a card, the author displays all chosen
 cards and the players try to figure out which one is the author's.
 .
 If at least one but not all of them guesses correctly, the author
 wins, along with the players who guessed correctly. Otherwise, the
 guessers all win.

## cardstories 1.0.4

=== tests/Makefile ===
--- 
+++ 
@@ -20,12 +20,12 @@
 
 check:
 	python-coverage -e
-	PYTHONPATH=.. python-coverage -x test_auth.py
 	PYTHONPATH=.. python-coverage -x test_service.py
 	PYTHONPATH=.. python-coverage -x test_site.py
 	PYTHONPATH=.. python-coverage -x test_tap.py
 	PYTHONPATH=.. python-coverage -x test_game.py
 	PYTHONPATH=.. python-coverage -x test_poll.py
+	PYTHONPATH=.. python-coverage -x test_plugins.py
 	python-coverage -m -a -r ../cardstories/*.py
 
 clean:

=== plugins/auth/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
all:

check:
	python-coverage -e
	PYTHONPATH=../.. python-coverage -x test_auth.py
	python-coverage -m -a -r auth.py

clean:
	rm -fr .coverage _trial_temp*
	rm -f *,cover
	rm -f *.pyc

=== plugins/mail/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
all:

check:
	python-coverage -e
	PYTHONPATH=../.. python-coverage -x test_mail.py
	python-coverage -m -a -r mail.py

clean:
	rm -fr fixture/auth
	rm -fr .coverage _trial_temp*
	rm -f *,cover
	rm -f *.pyc

=== plugins/solo/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
all:

check:
	python-coverage -e
	PYTHONPATH=../.. python-coverage -x test_solo.py
	python-coverage -m -a -r solo.py

clean:
	rm -fr .coverage _trial_temp*
	rm -f *,cover
	rm -f *.pyc

=== debian/changelog ===
cardstories (1.0.4-1) unstable; urgency=low

  * upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 12 Jun 2011 18:48:27 +0200

## cardstories 1.0.5

=== static/css/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
all:
	for i in `seq 1 36` ; do \
		echo ".cardstories_card$${i} { background-image:url('thumbs/card0$${i}.png'); }" ; \
		echo ".cardstories_card$${i}:hover { background-image:url('images/card0$${i}.png'); }" ; \
	done > images.css

=== debian/changelog ===
cardstories (1.0.5-1) unstable; urgency=low

  * upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 19 Jun 2011 01:09:31 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
          nginx | httpd,
          python-twisted-web (>= 10.1),
          python-twisted-mail,
+         python-twisted-conch,
          python-lxml,
          python-openssl,
          ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	make -f maintain.mk clean
	dh_clean

override_dh_auto_build:
	dh_auto_build
	make -f maintain.mk check

## cardstories 1.0.6

=== static/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
# wget http://yui.zenfs.com/releases/yuicompressor/yuicompressor-2.4.6.zip
YUICOMPRESSOR=/var/www/yuicompressor-2.4.6/build/yuicompressor-2.4.6.jar

JS=js/jquery/jquery-1.6.2.js js/supplant.js tablesorter/jquery.tablesorter.js tablesorter/jquery.tablesorter.pager.js js/jquery.metadata.js js/jquery.cookie.js jscrollpane/jquery.jscrollpane.js js/jquery.cardstories.js test/skin.js js/jquery.query-2.1.7.js js/jquery.placeholder-1.0.1.js

MINIFIED=cardstories.js cardstories.png cardstories.css index.html

all: 
	${MAKE} -C css all
	${MAKE} ${MINIFIED}

clean:

index.html: cardstories.html
	echo ' <!DOCTYPE html>' > index.html
	echo '<html>' >>  index.html
	echo '<head>' >>  index.html
	echo ' <title>Cardstories</title>'
	echo ' <meta http-equiv="Content-type" content="text/html;charset=UTF-8">' >> index.html
	echo ' <script type="text/javascript" src="cardstories.js"></script>' >> index.html
	echo ' <link rel="stylesheet" href="cardstories.css" type="text/css" media="screen">' >> index.html
	echo '</head>' >> index.html
	perl -ne 'print if(/<body>/../EOF/);' < cardstories.html >> index.html

cardstories.css cardstories.png: css/cardstories.css
	cd css ; ${MAKE} all
	cp css/cardstories.png .
	if [ -f ${YUICOMPRESSOR} ] ; then \
		java -jar ${YUICOMPRESSOR} -o cardstories.css css/cardstories.css ; \
	else \
		cp css/cardstories.css cardstories.css ; \
	fi

cardstories.js: ${JS}
	cat ${JS} > merged.js
	if [ -f ${YUICOMPRESSOR} ] ; then \
		java -jar ${YUICOMPRESSOR} -o cardstories.js merged.js ; \
	else \
		cp merged.js cardstories.js ; \
	fi
	rm merged.js

=== tests/Makefile ===
--- 
+++ 
@@ -16,17 +16,20 @@
 # along with this program in a file in the toplevel directory called
 # "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
 #
+
+export COVERAGE=$(shell which coverage || which python-coverage)
+
 all:
 
 check:
-	python-coverage -e
-	PYTHONPATH=.. python-coverage -x test_service.py
-	PYTHONPATH=.. python-coverage -x test_site.py
-	PYTHONPATH=.. python-coverage -x test_tap.py
-	PYTHONPATH=.. python-coverage -x test_game.py
-	PYTHONPATH=.. python-coverage -x test_poll.py
-	PYTHONPATH=.. python-coverage -x test_plugins.py
-	python-coverage -m -a -r ../cardstories/*.py
+	${COVERAGE} -e
+	PYTHONPATH=.. ${COVERAGE} -x test_service.py
+	PYTHONPATH=.. ${COVERAGE} -x test_site.py
+	PYTHONPATH=.. ${COVERAGE} -x test_tap.py
+	PYTHONPATH=.. ${COVERAGE} -x test_game.py
+	PYTHONPATH=.. ${COVERAGE} -x test_poll.py
+	PYTHONPATH=.. ${COVERAGE} -x test_plugins.py
+	${COVERAGE} -m -a -r ../cardstories/*.py
 
 clean:
 	rm -fr .coverage _trial_temp*

=== plugins/auth/Makefile ===
--- 
+++ 
@@ -16,12 +16,14 @@
 # along with this program in a file in the toplevel directory called
 # "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
 #
+export COVERAGE=$(shell which coverage || which python-coverage)
+
 all:
 
 check:
-	python-coverage -e
-	PYTHONPATH=../.. python-coverage -x test_auth.py
-	python-coverage -m -a -r auth.py
+	${COVERAGE} -e
+	PYTHONPATH=../.. ${COVERAGE} -x test_auth.py
+	${COVERAGE} -m -a -r auth.py
 
 clean:
 	rm -fr .coverage _trial_temp*

=== plugins/example/Makefile ===
#
# Copyright (C) 2011 Dachary <loic@dachary.org>
#
# This software's license gives you freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU Affero General Public License (AGPL) as published by the Free
# Software Foundation (FSF), either version 3 of the License, or (at your
# option) any later version of the AGPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program in a file in the toplevel directory called
# "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
#
export COVERAGE=$(shell which coverage || which python-coverage)

all:

check:
	${COVERAGE} -e
	PYTHONPATH=../.. ${COVERAGE} -x test_example.py
	${COVERAGE} -m -a -r example.py

clean:
	rm -fr fixture/auth
	rm -fr .coverage _trial_temp*
	rm -f *,cover
	rm -f *.pyc

=== plugins/mail/Makefile ===
--- 
+++ 
@@ -16,12 +16,14 @@
 # along with this program in a file in the toplevel directory called
 # "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
 #
+export COVERAGE=$(shell which coverage || which python-coverage)
+
 all:
 
 check:
-	python-coverage -e
-	PYTHONPATH=../.. python-coverage -x test_mail.py
-	python-coverage -m -a -r mail.py
+	${COVERAGE} -e
+	PYTHONPATH=../.. ${COVERAGE} -x test_mail.py
+	${COVERAGE} -m -a -r mail.py
 
 clean:
 	rm -fr fixture/auth

=== plugins/solo/Makefile ===
--- 
+++ 
@@ -16,12 +16,14 @@
 # along with this program in a file in the toplevel directory called
 # "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
 #
+export COVERAGE=$(shell which coverage || which python-coverage)
+
 all:
 
 check:
-	python-coverage -e
-	PYTHONPATH=../.. python-coverage -x test_solo.py
-	python-coverage -m -a -r solo.py
+	${COVERAGE} -e
+	PYTHONPATH=../.. ${COVERAGE} -x test_solo.py
+	${COVERAGE} -m -a -r solo.py
 
 clean:
 	rm -fr .coverage _trial_temp*

=== static/css/Makefile ===
--- 
+++ 
@@ -16,8 +16,11 @@
 # along with this program in a file in the toplevel directory called
 # "AGPLv3".  If not, see <http://www.gnu.org/licenses/>.
 #
-all:
-	for i in `seq 1 36` ; do \
-		echo ".cardstories_card$${i} { background-image:url('thumbs/card0$${i}.png'); }" ; \
-		echo ".cardstories_card$${i}:hover { background-image:url('images/card0$${i}.png'); }" ; \
-	done > images.css
+all: cardstories.css
+
+cardstories.css: tablesorter.css all.css credits.css
+	cat  tablesorter.css all.css credits.css > merged.css
+	../../spritemapper/bin/spritemapper merged.css
+	mv images.png cardstories.png
+	perl -p -e 's/images.png/cardstories.png/g' < sm_merged.css > cardstories.css
+	rm merged.css

=== debian/changelog ===
cardstories (1.0.6-1ubuntu3) precise; urgency=low

  * drop X-Python-Version: all which is not supported
    by dh_python2. (Closes: #652182)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 02 Jan 2012 00:20:03 +0100

cardstories (1.0.6-1ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:01:32 +0000

cardstories (1.0.6-1ubuntu1) oneiric; urgency=low

  * Fix test where poll interval was > sys.maxint on i386.  (LP: #831344)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 21 Sep 2011 21:20:09 -0400

cardstories (1.0.6-1) unstable; urgency=low

  * upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 28 Aug 2011 00:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cardstories
 Section: games
 Priority: optional
-Maintainer: Loic Dachary (OuoU) <loic@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Loic Dachary (OuoU) <loic@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                po-debconf,
                python-all (>= 2.6.6-2~),
@@ -10,12 +11,13 @@
                python-twisted-web (>= 10.1),
                python-twisted-mail,
                python-twisted-conch,
-               jscoverage
+               jscoverage,
+               openjdk-6-jre-headless,
+               python-virtualenv
 Standards-Version: 3.9.2
 Vcs-Git: http://cardstori.es/cardstories.git
 Vcs-Browser: http://cardstori.es/trac/browser
 Homepage: http://cardstori.es/
-X-Python-Version: all
 
 Package: cardstories
 Section: games

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	make -f maintain.mk all
 	make -f maintain.mk check
